// MIXINS, VARIABLES & EXTENDS:

@import "../styles/assets";

// MASTHEAD:
// ":global" wrapped around IDs prevents them from being changed by CSS Modules.

#masthead {
  @include position(fixed);
  z-index: 9999;
  width: 100%;
  min-width: $body-min-width;
  transition: opacity 0.25s;
  top: 0;
  left: 0;
  background-color: $masthead-bg-color;
  padding: $masthead-vertical-padding 0;

  :global(#masthead-nucleus) {
    @include flexbox();
    @include justify-content(space-between);
    max-width: $nucleus-maximum-width;
    margin: 0 auto;
    padding: 0 $masthead-horizontal-padding;
    height: inherit;

    :global(#masthead-logo) {
      background-repeat: no-repeat;
      background-position: center left;
      a {
        display: block;
        width: 100%;
        height: 100%;
      }
    }

    :global(#masthead-options) {
      height: inherit;
      :global(#options-button) {
        display: none;
      }
      ul {
        @include flexbox();
        @include align-items(center);
        height: inherit;
        li {
          text-align: center;
          a {
            color: $light-blue;
            text-decoration: none;
          }
          :global(.label) {
            font-size: $typo-big-size;
          }
        }
      }
    }
  }

  &:global(.thick) {
    height: $logo-a-height;

    :global(#masthead-nucleus) {
      :global(#masthead-logo) {
        width: $logo-a-width;
        background-image: url(/img/layout/logotipo-a.svg);
      }

      :global(#masthead-options) {
        ul {
          li {
            &:not(:first-child) {
              padding-left: 60px;
            }
            :global(.label) {
              padding-top: 5px;
            }
            :global(img.image) {
              @include border-radius(100%);
              border: 3px solid $dark-blue !important;
              transition: all 0.3s;
            }
            &:hover {
              :global(img.image) {
                border-color: $light-blue !important;
              }
            }
          }
        }
      }
    }
  }

  &:global(.thin) {
    height: $logo-b-height;

    :global(#masthead-nucleus) {
      :global(#masthead-logo) {
        width: $logo-b-width;
        background-image: url(/img/layout/logotipo-b.svg);
      }

      :global(#masthead-options) {
        ul {
          li {
            &:not(:first-child) {
              padding-left: 40px;
            }
            a {
              img {
                display: none;
              }
            }
          }
        }
      }
    }
  }

  // RESPONSIVENESS RULES:

  @media screen and (max-width: $tablet-width) {
    :global(#masthead-nucleus) {
      :global(#masthead-options) {
        @include flexbox();
        @include justify-content(center);
        @include flex-direction(column);
        height: auto;

        :global(#options-button) {
          display: block;
          background-repeat: no-repeat;
          background-position: top center;
          background-color: transparent;
          border: none;
          cursor: pointer;
          padding: 0;
          button {
            display: block;
          }
        }

        // When closed:
        &:global(.closed-on-tablet) {
          :global(#options-button) {
            background-image: url(/img/layout/button-menu-open.svg);
          }
          ul {
            display: none;
          }
        }

        // When opened:
        &:global(.opened-on-tablet) {
          :global(#options-button) {
            background-image: url(/img/layout/button-menu-close.svg);
          }
          ul {
            display: block;
            position: absolute;
            right: 0;
            padding: 0 $masthead-horizontal-padding;
            background-color: $masthead-bg-color;
            li {
              padding: 0 0 20px 0 !important;
              text-align: right;
              a {
                img {
                  // The image outer span.
                  display: none;
                }
              }
            }
          }
        }
      }
    }

    &:global(.thick) {
      :global(#masthead-nucleus) {
        :global(#masthead-options) {
          :global(#options-button) {
            :global(.label) {
              display: inline-block;
              padding-top: $options-button-height + 5px;
              color: $light-blue;
              font-size: $typo-big-size;
            }
          }
          &:global(.opened-on-tablet) {
            ul {
              top: ($masthead-vertical-padding * 2) + $logo-a-height;
            }
          }
        }
      }
    }

    &:global(.thin) {
      :global(#masthead-nucleus) {
        :global(#masthead-options) {
          :global(#options-button) {
            height: $options-button-height;
            width: $options-button-width;
            :global(.label) {
              display: none;
            }
          }
          &:global(.opened-on-tablet) {
            ul {
              top: ($masthead-vertical-padding * 2) + $logo-b-height;
              padding-top: 15px;
            }
          }
        }
      }
    }
  }
}
